package com.ho.flow.service;


import com.ho.common.tools.entity.WorkOrderPicture;
import com.ho.flow.vo.req.workorder.WorkOrderAddReqVO;
import com.ho.flow.vo.req.workorder.WorkOrderUpdateReqVO;
import com.ho.flow.vo.resp.workorder.PictureRespVO;

import java.util.List;

/**
 * @Description 图片存储
 * Author yule
 * Date 2023/1/3 14:05
 */
public interface WorkOrderPictureService {
    //新增图片中url
    WorkOrderPicture insertPicture(String url);
    //添加图片中srcId和type
    void insertWorkOrderIdAndType(WorkOrderAddReqVO vo);

    WorkOrderPicture selectById(Integer id);

    //根据工单id查询图片对象
    List<PictureRespVO> selectByOrderId(Long workOrderId);

    void deletedById(Integer id);

    //根据orderId删除
    void deletedByWorkOrderIds(List<Long> ids);

    void updatePicture(WorkOrderUpdateReqVO vo);

    /**
     * 查询全部图片数据
     * @return
     */
    List<WorkOrderPicture> selectAll();

    /**
     * 根据id集合删除文件图片对象
     * @param workOrderPictureIds 工单图片的id集合
     */
    void deletedByIds(List<Long> workOrderPictureIds);

}